:root {
    --F1_100: rgba(255, 0, 70, 1.0);
    --F1_75: rgba(255, 0, 70, 0.75);
    --F1_50: rgba(255, 0, 70, 0.5);
    --F1_25: rgba(255, 0, 70, 0.25);
    --F1_15: rgba(255, 0, 70, 0.15);
    --F1_15_fest: rgb(255, 217, 227);

    --F2_100: rgba(0, 155, 164, 1.0);
    --F2_75: rgba(0, 155, 164, 0.75);
    --F2_50: rgba(0, 155, 164, 0.5);
    --F2_25: rgba(0, 155, 164, 0.25);
    --F2_15: rgba(0, 155, 164, 0.15);
    --F2_15_fest: rgb(217, 240, 241);

    --icon_F1: rgba(255, 0, 70, 0.5);
    --icon_F2: rgba(0, 155, 164, 0.5);

    --icon_F1_dark: rgba(0, 0, 0, 0.7);
    --icon_F2_dark: rgba(0, 0, 0, 0.3);

    --dark_100: rgba(0, 0, 0, 1.0);
    --dark_75: rgba(0, 0, 0, 0.75);
    --dark_50: rgba(0, 0, 0, 0.5);
    --dark_25: rgba(0, 0, 0, 0.25);
    --dark_10: rgba(0, 0, 0, 0.1);

    --light_100: rgba(255, 255, 255, 1.0);
    --light_90: rgba(255, 255, 255, 0.9);
    --light_75: rgba(255, 255, 255, 0.75);
    --light_50: rgba(255, 255, 255, 0.5);
    --light_25: rgba(255, 255, 255, 0.25);
}

/***********************************************************
* Fonts ... H-ing font Apercu-Ersatz 'DroidSans'
***********************************************************/
@font-face {
    font-family: 'normal';
    src: url('./media/fonts/DroidSans-webfont.woff');
}

@font-face {
    font-family: 'bold';
    src: url('./media/fonts/DroidSans-Bold-webfont.woff');
}

@font-face {
    font-family: 'mono';
    src: url('./media/fonts/droidsansmono-webfont.woff');
    font-weight: normal;
}
@font-face {
    font-family: 'encode_sans_semicondensedthin';
    src: url('./media/fonts/encodesanssemicondensed-thin-webfont.woff2') format('woff2'),
         url('./media/fonts/encodesanssemicondensed-thin-webfont.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}
body {
    margin: 0;
    overflow: hidden;
    font-family: "normal", Ubuntu, sans-serif;
    font-size: 16px;
    -webkit-user-select: none;
    user-select: none;
    background-color: transparent;

}
h1,h2,h3 {
    font-family: "bold", Ubuntu, sans-serif;
}
h1,h2,h3,h4,h5,h6 {
    margin-top: 1em;
    margin-bottom: 0.4em;
}
h1 {
    font-size: 2em;
}
h2 {
    font-size: 1.75em;
}
h3 {
    font-size: 1.5em;
}
h4 {
    font-size: 1.3em;
}
h5 {
    font-size: 1.2em;
}
h6 {
    font-size: 1.1em;
}

h1:first-child,
h2:first-child,
h3:first-child,
h4:first-child,
h5:first-child,
h6:first-child {
    margin-top: 0;
}

h1 + h2,
h1 + h3,
h2 + h3 {
    margin-top: 0;
}

h4 + h5,
h4 + h6,
h5 + h6 {
    margin-top: 0;
}

.overlay-textBox h1,
.overlay-textBox h2,
.overlay-textBox h3 {
    color: var(--F2_100);
}

a {
    text-decoration: none;
    color: var(--F2_75);
}
a:hover {
    color: var(--F2_100);
}

p {
    margin: 0.5em 0;
}

ul,
ol {
    margin: 1.2em 0;
    padding-left: 1.2em;
}

li {
    margin: 0.4em 0;
}

table {
    margin: 0.6em 0;
    border-collapse: collapse;
}

th {
    font-weight: normal;
    padding: 0.4em 0.6em;
    border: 1px solid var(--F2_50);
    background-color: var(--F2_25);
}

td {
    padding: 0.4em 0.6em;
    border: 1px solid var(--F2_50);
}

blockquote {
    margin:  1.2em 0;
    padding: 0.4em 1.2em;
    border-radius: 0.4em;
    background-color: var(--F2_25); 
}

blockquote > p {
    margin: 0.4em 0;
}

.v3d-container {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    color: var(--light_75);
}

/*
.v3d-container div a {
    display: none;
}

.v3d-container div.poi-textBox a {
    display: inline;
}
*/

.v3d-canvas {
    background-color: var(--F2_15_fest);
}

.overlay-box {
    position: absolute;
    width: 100%;
    height: 100%;
    display: flex;
    flex-flow: column nowrap;
    align-items: center;
    background-color: var(--dark_25);
    z-index: 90;
}

.center-box {
    position: absolute;
    width: 100%;
    height: 0;
    display: flex;
    flex-flow: column nowrap;
    align-items: center;
    z-index: 90;
}

/* removes tap blinking on ios devices */
* { -webkit-tap-highlight-color:rgba(0,0,0,0); }

.bar-top-left {
    position: absolute;
    top: 0.2em;
    left: 0.2em;
    width: auto;
    display: flex;
    flex-flow: column nowrap;
    z-index: 80;
}
.bar-top-left > div {
    height: 2.5em;
    border-radius: 0.8em;
    margin: 0;
    padding: 0.25em;
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
}

.bar-top {
    position: absolute;
    top: 0.2em;
    width: 100%;
    height: 0;
    display: flex;
    flex-flow: row nowrap;
    justify-content: center;
    z-index: 80;
}

.bar-top > div {
    height: 2.5em;
    border-radius: 0.8em;
    margin: 0.15em;
    padding: 0.25em;
    cursor: pointer;
    display: flex;
    justify-content: center;
    align-items: center;
}

.bar-top > div > svg {
    width: 2.5em;
    height: 2.5em;
}

.bar-bottom {
    position: absolute;
    bottom: 0.5em;
    width: 100%;
    height: 0;
    background-color: var(--F2_50);
    display: flex;
    flex-flow: row wrap;
    justify-content: center;
    align-content: flex-end;
    z-index: 80;
}

.bar-sub {
    position: absolute;
    top: 3.6em;
    width: 100%;
    height: 0;
    background-color: var(--F2_50);
    display: flex;
    flex-flow: row wrap;
    justify-content: center;
    z-index: 80;
}

.bar-sub-box {
    display: flex;
    flex-flow: row wrap;
    justify-content: center;
}

.camera-box > div {
    cursor: pointer;
}

.layer-box > div {
    cursor: pointer;
}

.poi-tools > div:last-child {
    cursor: pointer;
}

.bar-sub-box > div {
    height: 1.9em;
    border-radius: 0.6em;
    margin: 0.15em;
    padding: 0.25em;
    display: flex;
    justify-content: center;
    align-items: center;
}

.bar-sub-box > div > svg {
    width: 1.9em;
    height: 1.9em;
}

.bar-sub-box2 {
}

.bar-sub-box2,
.bar-sub-box3,
.bar-sub-box4 {
    width: 100%;
    height: 0;
    display: flex;
    flex-flow: column nowrap;
    align-items: center;
}
.bar-sub-box3 {
    justify-content: end;
}
.bar-sub-box4 {
    height: auto;
    width: auto;
}

.mess-tools {
}

.camera-tools,
.mess-tools,
.poi-tools,
.overlay-tools,
.sun-tools {
    display: flex;
    flex-flow: row nowrap;
    justify-content: center;
}

.overlay-tools {
    justify-content: right;
}

.camera-tools > div,
.mess-tools > div,
.poi-tools > div,
.overlay-tools > div,
.sun-tools > div {
    height: 1.9em;
    margin: 0.2em 0;
    padding: 0.2em;
    display: flex;
    justify-content: center;
    align-items: center;
    white-space: nowrap;
}

.camera-tools > div,
.mess-tools > div {
    margin-top: 0.6em;
}

.overlay-tools > div,
.poi-tools > div {
    justify-content: left;
}

.overlay-tools > div:first-child,
.poi-tools > div:first-child {
    padding-right: 1em;
    padding-left: 0;
}

.camera-tools > div > svg,
.mess-tools > div > svg,
.overlay-tools > div > svg,
.poi-tools > div > svg,
.sun-tools > div > svg {
    width: 1.9em;
    height: 1.9em;
}

.camera-tools > div:first-child,
.mess-tools > div:first-child,
.sun-tools > div:first-child {
    border-radius: 1.2em 0 0 1.2em;
    margin-left: 0.2em;
}

.camera-tools > div:last-child,
.mess-tools > div:last-child,
.sun-tools > div:last-child {
    border-radius: 0 1.2em 1.2em 0;
    margin-right: 0.2em;
}



.overlay-textBox path.color1 {
    stroke: var(--dark_75);
}

.overlay-textBox > div:last-child {
    max-height: calc(100% - 2em);
    padding-top: 0;
    padding-right: 2em;
    overflow-x: auto;
    overflow-y: auto;
    user-select: text;
}

.overlay-textBox,
.poi-textBox {
    position: relative;
    min-width: 300px;
    max-width: 800px;
    margin: 0.8em 0.3em 0.3em 0.3em;
    padding: 0 0 1.3em 0;
    border-radius: 1.2em;
    color: var(--light_75);
    background-color: var(--dark_75);
    z-index: 80;
    cursor: grab;
}

.overlay-textBox {
    min-width: 300px;
    max-width: 1200px;
    transform: translate( 0, -50%);
    color: var(--dark_75);
    background-color: var(--light_90);
}

.overlay-textBox > div,
.poi-textBox > div {
    padding: 0.4em 1.3em 0.4em 1.3em;
}

.overlay-textBox > div:first-child,
.poi-textBox > div:first-child {
    padding-right: 0.5em;
}

.overlay-textBox > div:last-child,
.poi-textBox > div:last-child {
    overflow-x: auto;
    overflow-y: auto;
    user-select: text;
    cursor: auto;
}

.overlay-textBox img,
.poi-textBox img {
    max-width: 100%;
}

.overlay-textBox-label,
.poi-textBox-label {
    flex-grow: 1;
    color: var(--F2_100);
}

.overlay-textBox-label span,
.poi-textBox-label span {
    font-size: 1.3em;
}

.poi-tools .item,
.overlay-tools .item {
    background: none;
}



.camera-tools .item,
.camera-tools .item-label,
.mess-tools .item,
.mess-tools .item-label {
    background-color: var(--dark_75);
}

.item,
.item-label {
    background-color: var(--dark_50);
}

.item-label {
/*     font-family: "bold", Ubuntu, sans-serif; */
}

.item {
    cursor: pointer;
}

.item > span,
.item-label > span,
.item-active > span {
    padding: 0.2em 0.5em;
    white-space: nowrap;
}

.item-label > span {
    color: var(--light_100);
}

.item > svg + span,
.item-active >  svg + span {
    padding: 0.2em 0.5em 0.2em 0.3em;
}


.item-active {
    cursor: pointer;
    background-color: var(--dark_100);
}

.item-active > span {
    color: var(--F2_100);
}

.item:hover,
.item-active:hover {
    filter: brightness(1.3);
}
/***********************************************************
* Box vertical toggle
***********************************************************/

.box-vertical {
    position: relative;
    margin: 0.4em 0 0 0;
    padding: 0.1em 0 0 1.1em;
    border-style: solid;
    border-color: var(--dark_25);
    border-width: 0;
    border-top-width: 0.1em;
    overflow: hidden;
    transition: height 0.2s ease-out;
}

.box-vertical-toggle,
.box-vertical-toggle-active {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 2.2em;
    cursor: pointer;
    padding: 0.25em 0 0 0;
}

.box-vertical-toggle:hover,
.box-vertical-toggle-active:hover {
    color: var(--F1_100);
    box-shadow: 0px 20px 35px -20px var(--F2_25) inset;
}

.box-vertical-toggle::before {
    content: ' \25B8';
}
.box-vertical-toggle-active::before {
    content: ' \25BE';
}
/***********************************************************
* Key Value Box
***********************************************************/

.key-value-box {
    display: flex;
    flex-flow: row nowrap;
    margin: 0.25em 0 0.25em 0;
}

.key-value-box div:first-child {
    flex-grow: 1;
}

.key-value-box div:last-child {
    padding-left: 0.8em;
}

/***********************************************************
* SelectBox
***********************************************************/
.select-box {
    display: flex;
    flex-flow: row nowrap;
    justify-content: left;
    align-items: center;
    margin: 0.25em 0 0.25em 0;
    height: 1.8em;
}
.select-inputbox {
    padding-left: 0.8em;
}
.select-input {
    width: 100%;
}
.select-label {
    white-space: nowrap;
    flex-grow: 1;
}

/***********************************************************
* SliderBox
***********************************************************/
.slider-box {
    display: flex;
    flex-flow: column;
    justify-content: center;
    align-items: center;
    margin: 0.25em 0 0.25em 0;
}
.slider-box-inline {
    display: flex;
    flex-flow: row;
    justify-content: left;
    align-items: center;
    margin: 0.25em 0 0.25em 0;
    height: 1.8em;

}

.slider-valuebox {
    position: relative;
    width: calc(100% - 0.8em);
    height: 1.25em;
}
.slider-valuebox-inline {
}

.slider-value {
    position: absolute;
    display: block;
    transform: translate( -50%, 0);

}
.slider-value-inline {
}

.slider-inputbox {
    width: 100%;
}
.slider-inputbox-inline {
    padding: 0 0.8em 0 0.8em;
}

.slider-input {
}
.slider-input-inline {
}

.slider-label {
    white-space: nowrap;
}
.slider-label-inline {
    white-space: nowrap;
    flex-grow: 1;
}

#sunAnimationSlider_valueBox {
    display: none;
}

/***********************************************************
* MessBox
***********************************************************/
.mess-box {
    position: absolute;
}
/***********************************************************
* MessPunkt
***********************************************************/
.mess-point {
    position: absolute;
    width: 0;
    height: 0;
}
.mess-point-marker {
    position: absolute;
    transform: translate( -50%, -50%);
    width: 0.7em;
    height: 0.7em;
    border-style: solid;
    border-width: 0.18em;
    border-radius: 50%;
    border-color: var(--light_100);
    background: var(--dark_100);
    cursor: pointer;
}
.mess-point-pfeil {
    position: absolute;
    bottom: 0;
    transform: translate( -50%, -0.8em);
    width: 0.8em;
    height: 0.8em;
    background-color: transparent;
}
.mess-point-pfeil > svg > g > path {
    fill: var(--dark_75);
}
.mess-point-label {
    position: absolute;
    bottom: 0;
    transform: translate( -50%, -1.5em);
    padding: 0.15em 0.4em;
    border-radius: 0.4em;
    background: var(--dark_75);
    user-select: text;
}
/***********************************************************
* MessLinie
***********************************************************/
.mess-line {
    position: absolute;
    width: 0;
    height: 0;
}
.mess-linie-pfeil {
    position: absolute;
    bottom: 0;
    transform: translate( -50%, 0em);
    width: 0.8em;
    height: 0.8em;
    background-color: transparent;
}
.mess-linie-pfeil > svg > g > path {
    fill: var(--dark_50);
}
.mess-linie-textbox {
    position: absolute;
    bottom: 0;
    transform: translate( -50%, -0.7em);
    padding: 0.15em 0.4em;
    border-radius: 0.4em;
    background: var(--dark_50);
    display: flex;
    flex-flow: column nowrap;
    justify-content: center;
}
.mess-linie-textbox-item {
    display: flex;
    justify-content: left;
    align-items: center;
    white-space: nowrap;
    user-select: text;
}
.mess-linie-textbox-item > svg {
    width: 1.5em;
    height: 1.5em;
}
.mess-linie-textbox-item > span {
    padding: 0em 0em 0em 0.4em;
}

/***********************************************************
* POI
***********************************************************/
.poi-annotation-point {
    position: absolute;
    width: 0;
    height: 0;
}
.poi-annotation {
    transform: translate( -50%, -50%);
    padding: 0.35em 0.6em;
    border-width: 0;
    border-radius: 1em;
    background: var(--dark_75);
    color: var(--light_100);
    font-size: 0.9em;
    white-space: nowrap;
    cursor: pointer;
}

.poi-annotation:hover {
    cursor: pointer;
}

.poi-annotation-dialog {
    color: var(--light_100);
    background: var(--dark_50);
    font-family: "normal", Ubuntu, sans-serif;
    font-size: 0.9em;
}

/***********************************************************
* svg
***********************************************************/
svg {
    display: block;
}

svg.icon {
    stroke-linecap: round;
}

.color1 {
    stroke: var(--light_75);
    stroke-width: 1.5;
}
div.item-active > svg > g > .color1 {
    stroke: var(--F2_100);
}

.color2 {
    stroke: var(--light_50);
    stroke-width: 2.0;
}
div.item-active > svg > g > .color2 {
    stroke: var(--F2_50);
}

.color3 {
    stroke: var(--light_100);
    stroke-width: 2.2;
}

.color4 {
    stroke-width: 0;
}

.color5 {
    stroke-width: 0;
    fill: var(--light_75);
}

div.item-active > svg > g > .color5 {
    fill: var(--F2_100);
}

/***********************************************************
* input date
***********************************************************/
input[type=date] {
    margin: 0.2em;
    padding: 0.25em;
    font-size: 0.9em;
    color: var(--light_75);
    background: transparent;
    border: 1px solid var(--light_50);
    border-radius: 0.35em;
    cursor: pointer;
}

input[type=date]:focus {
    outline: none;
}

/***********************************************************
* select
***********************************************************/

select {
    border: 0.1em solid var(--dark_25);
    background-color: var(--light_50);
    border-radius: 0.35em;
    padding: 0.3em;
    cursor: pointer;
}

select:hover {
    border-color: var(--F1_50);
}
select:focus {
    outline: none;
}


/***********************************************************
* input color
***********************************************************/

input[type=color] {
    -webkit-appearance: none; /* Hides the slider so that custom slider can be made */
    width: 100%; /* Specific width is required for Firefox. */
    background: transparent; /* Otherwise white in Chrome */
    vertical-align: middle;
    border: 0.1em solid var(--dark_25);
    background-color: var(--light_50);
    border-radius: 0.35em;
    padding: 0.25em;
}
input[type=color]:focus {
    outline: none; /* Removes the blue border. You should probably do some kind of focus styling for accessibility reasons though. */
}

input[type="color" i] {
    -webkit-appearance: square-button;
    cursor: pointer;
}


/***********************************************************
* input range
***********************************************************/

/* Applying base styles */
input[type=range] {
    -webkit-appearance: none; /* Hides the slider so that custom slider can be made */
    width: 100%; /* Specific width is required for Firefox. */
    background: transparent; /* Otherwise white in Chrome */
    vertical-align: middle;
}

input[type=range]::-webkit-slider-thumb {
    -webkit-appearance: none;
}

input[type=range]:focus {
    outline: none; /* Removes the blue border. You should probably do some kind of focus styling for accessibility reasons though. */
}

/* Styling the Thumb */

input[type=range]::-webkit-slider-thumb {
    -webkit-appearance: none;
    height: 1em;
    width: 1em;
    border-radius: 0.5em;
    cursor: pointer;
    margin-top: -0.45em; /* You need to specify a margin in Chrome, but in Firefox and IE it is automatic */
    background: var(--light_100);
    border: 0.1em solid var(--dark_50);
}
input[type=range]:hover::-webkit-slider-thumb {
    background: var(--F1_15_fest);
    border-color: var(--F1_50);
}

input[type=range]::-moz-range-thumb {
    height: 0.9em;
    width: 0.9em;
    border-radius: 0.5em;
    cursor: pointer;
    background: var(--light_100);
    border: 0.1em solid var(--dark_50);
}

input[type=range]:hover::-moz-range-thumb {
    background: var(--F1_15_fest);
    border-color: var(--F1_50);
}

/* Styling the Track */

input[type=range]::-webkit-slider-runnable-track {
    width: 100%;
    height: 0.3em;
    cursor: pointer;
    border-radius: 0.15em;
    background: var(--light_100);
    border: 0.1em solid var(--dark_25);
}

input[type=range]:focus::-webkit-slider-runnable-track {
    background: var(--light_100);
}

input[type=range]::-moz-range-track {
    width: 100%;
    height: 0.2em;
    cursor: pointer;
    border-radius: 0.2em;
    background: var(--light_100);
    border: 0.1em solid var(--dark_25);
}

/***********************************************************
* simple preloader
**********************************************************/
.v3d-simple-preloader-bar {
    background: linear-gradient(90deg, var(--F1_15_fest), var(--F1_100));
    height: 1.25em;
    border-color: var(--F1_15_fest);
}

.v3d-simple-preloader-background {
    background-color: var(--F2_100);
}

.v3d-simple-preloader-logo {
    background-image: url('media/Logo_Holenstein_H_Weiss.png');
}

.v3d-simple-preloader-container {
    --v3d-preloader-img-width: 240px;
    --v3d-preloader-img-height: 240px;
}
